#include <bits/stdc++.h>
using namespace std;
int main()
{
    int n;
    long long x;
    long long najm,najv;
    cin>>n>>x;
    cin>>najm;
    najv=najm;
    long long pom;
    for(int i=0;i<n-1;++i)
    {
        cin>>pom;
        najm=min(pom,najm);
        najv=max(najv,pom);
    }
    if(x<najm){cout<<najv-x;return 0;}
    if(x>najv){cout<<x-najm;return 0;}

    cout<<najv-najm+min(x-najm,najv-x);

}